From 3b56af034b51fa45ab15cc51a6e3be644a5f2461 Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Thu, 20 Jan 2022 13:00:37 +0900
Subject: [PATCH v9 10/10] [For CI only] Modify initdb for "wal_pmem_map = on"

This is only for testing, not for production use, because it will
modify initdb's binary.
---
 src/bin/initdb/initdb.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index 5e36943ef3..91cb258a6f 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -1175,6 +1175,12 @@ setup_config(void)
 							  repltok);
 #endif
 
+#ifdef USE_LIBPMEM
+	conflines = replace_token(conflines,
+							  "#wal_pmem_map = off",
+							  "wal_pmem_map = on");
+#endif
+
 #ifndef USE_PREFETCH
 	conflines = replace_token(conflines,
 							  "#effective_io_concurrency = 1",
-- 
2.25.1

